Bug 820663 - update of Finance::Quote
update of Finance::Quote
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Finance-Quote (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
: 807072 972522 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 11:36 EDT by Marcela Mašláňová
Modified: 2014-03-17 01:58 EDT (History)
11 users (show)

See Also:
Fixed In Version: perl-Finance-Quote-1.20-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 08:53:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2012-05-10 11:36:00 EDT
I was asked to rebase this package to the latest upstream version. There are no new releases on cpan, but they are on github:
https://github.com/pfenwick/finance-quote

Also SUSE has quite few new patches:
https://build.opensuse.org/package/files?package=perl-Finance-Quote&project=devel%3Alanguages%3Aperl

Bill, I'm quite surprised that you are the maintainer of Perl package. If you want to get rid of it, someone from Perl SIG could take it.

Thanks.
Comment 1 Bill Nottingham 2012-05-11 17:13:18 EDT
I maintain it b/c I own the only thing that uses it (GnuCash).

SuSE had contacted me about joining their package as the 'new' upstream source a while back, I just hadn't gotten around to switching it yet. AFAIK, the github mentioned hasn't really been updated much.
Comment 2 Marcela Mašláňová 2012-05-16 05:19:49 EDT
The latest upstream is not same as SUSE. I'm looking at their patches and the most life upstream on github. 

The problem are failing test suites. It looks like no one was running them or no one was trying them with latest Perl. I'll try to fix it and contact github developer.
Comment 3 Peter Lawler 2012-07-25 21:13:22 EDT
Would this be a duplicate of #807072?
Comment 4 Marcela Mašláňová 2012-07-26 03:26:08 EDT
It might be.

I was looking on a new upstream git, which had less failures https://github.com/pfenwick/finance-quote ,but some tests are still failling and some patches are different or missing. If you are willing to test it, it would help. I'd rather don't broke currently working things.
Comment 5 Marcela Mašláňová 2012-07-27 07:48:59 EDT
Ok, I finally prepared srpm. Peter would you mind to test it with gnucash? I'm not using it.
My version is snapshot from the upstream github and few patches from Debian and few from OpenSUSE. It seems to me some online tests are working just sometimes. Some tests stopped working (financecanada), but they didn't work well even before.

http://mmaslano.fedorapeople.org/bugy/perl-Finance-Quote-1.17-10.20120515git811c96.fc18.src.rpm
Comment 6 Bill Nottingham 2012-07-27 10:14:56 EDT
Marcela - do you want to apply for comaintainership? I can give perl-sig commit access in pkgdb, but I don't know if that accomplishes anything as that's not a user account.
Comment 7 Peter Lawler 2012-07-28 18:49:13 EDT
Marcela: You're right! The tests, they fail a little bit ;)
Files=52, Tests=728
...
Failed 24/52 test programs. 267/728 subtests failed.

Even with disabling the tests, the function still doesn't seem to work for me, but maybe that's because of AUD the errors (my default currency)
Comment 8 Marcela Mašláňová 2012-07-30 06:51:55 EDT
(In reply to comment #6)
> Marcela - do you want to apply for comaintainership? I can give perl-sig
> commit access in pkgdb, but I don't know if that accomplishes anything as
> that's not a user account.

Bill, I'm a provenpackager, but I can be even comaintainer. The SIG group doesn't work for commits, it's currently used only for CC'ing all bugzillas.
Comment 9 Marcela Mašláňová 2012-07-31 08:24:09 EDT
(In reply to comment #7)
> Marcela: You're right! The tests, they fail a little bit ;)
> Files=52, Tests=728
> ...
> Failed 24/52 test programs. 267/728 subtests failed.
> 
> Even with disabling the tests, the function still doesn't seem to work for
> me, but maybe that's because of AUD the errors (my default currency)

I looked on those online failing tests and they are failing less than before or they didn't work properly even before.
Try this srpm: http://mmaslano.fedorapeople.org/bugy/perl-Finance-Quote-1.17-10.20120515git811c96.fc16.src.rpm

I've added patches, which were mentioned in Debian. They fixed issues for more than one currency if I understand German ;-)
Comment 10 Anton Arapov 2012-10-24 05:31:40 EDT
*** Bug 807072 has been marked as a duplicate of this bug. ***
Comment 11 Anton Arapov 2012-10-24 05:34:00 EDT
Please, would you spin an update to version 1.18 that was released back in September 30. It should fix this issue as well, and as affected person I'd be glad to test it. :)

"
http://finance-quote.sourceforge.net/
2012-Sep-30 Release 1.18 is available both from CPAN and Sourveforge. It solves most used module errors.
"

thanks,
Anton
Comment 12 Marcela Mašláňová 2012-10-24 12:39:12 EDT
Hm, I need to review ~20 patches if they are sort of in.
Comment 13 Fedora End Of Life 2013-04-03 12:30:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 14 Peter Backes 2013-06-10 15:42:22 EDT
*** Bug 972522 has been marked as a duplicate of this bug. ***
Comment 15 Peter Lawler 2014-01-05 15:59:25 EST
Oh hey, I had forgotten about this bug until I updated to F20 and GnuCash was on the 'featured' list of the in-distro Software Installer.
Did Bill and Marcela sort out the comaint as referenced in #comment8?
Comment 16 Peter Lawler 2014-02-16 05:30:52 EST
To answer myself in #comment15
---
Just got the update gnucash to 2.6.1, it continues to be unable to handle any currency apart from what one sets as default.

Checked perl-Finance-Quote's changelog,
* Sun Aug  4 22:00:00 2013 Petr Pisar <ppisar@redhat.com> - 1.17-13
- Perl 5.18 rebuild

I guess the answer to my question is no.

Kinda hoping this gets fixed for RHEL7 desktops. I can't do much apart from test, my Perl knowledge died sometime late last century. But I can offer to help.

Paul Fenwick's repository has moved to https://github.com/pjf/finance-quote And there have been recent updates there. OpenSUSE seem to have moved their URLs around too, not too sure what I'm looking at there. Might see what I can hack together next weekend, no promises. Any tips/advice welcome though :)
Comment 17 Bill Nottingham 2014-02-16 23:28:36 EST
There's a 1.19 release very recently due to Yahoo breaking.... I'll get that pulled in shortly where appropriate.
Comment 18 Fedora Update System 2014-02-17 12:03:02 EST
perl-Finance-Quote-1.20-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Finance-Quote-1.20-1.fc19
Comment 19 Fedora Update System 2014-02-17 12:05:29 EST
perl-Finance-Quote-1.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Finance-Quote-1.20-1.fc20
Comment 20 Fedora Update System 2014-02-17 12:23:08 EST
perl-Finance-Quote-1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Finance-Quote-1.20-1.el6
Comment 21 Peter Lawler 2014-02-17 14:35:01 EST
Thanks, bloke. Grabbed the F20 from kojipkgs. WFM.
Comment 22 Fedora Update System 2014-02-18 08:42:09 EST
Package perl-Finance-Quote-1.20-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Finance-Quote-1.20-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2695/perl-Finance-Quote-1.20-1.fc20
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2014-02-26 08:53:43 EST
perl-Finance-Quote-1.20-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2014-02-28 13:28:38 EST
perl-Finance-Quote-1.20-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-03-17 01:58:31 EDT
perl-Finance-Quote-1.20-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.